﻿@model IEnumerable<XPos.ViewModel.ProductViewModel>

<d>
    <div class="btn-group btn-group-sm">
        <input type="text" id="txt-search" class="form-control form-group-lg" placeholder="Search..." />
    </div>
    <div class="btn-group btn-group-sm">
        <button type="button" class="btn btn-success btn-search" title="Search">
            <span class="glyphicon glyphicon-search" aria-hidden="true">
            </span>
        </button>
    </div>
</d>
<table class="table">
    <thead>
        <tr>
            <th>Select</th>
            <th>
                @Html.DisplayNameFor(model => model.Initial)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Name)/<br />
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Price)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Stock)
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
<tr>
    <td>
        <button type="button" class="btn btn-success btn-select" data-dismiss="modal" data-id="@item.Id" title="Select">
            <span class="glyphicon glyphicon-star" aria-hidden="true"></span>
        </button>
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Initial)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Name)/<br />
        @Html.DisplayFor(modelItem => item.Description)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Price)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Stock)
    </td>
</tr>}
    </tbody>
</table>

<script type="text/javascript">
    $(".btn-select").click(function () {
        $.ajax({
            url: '@Url.Action("SelectedProduct", "Order")',
            type: 'get',
            data: { id: $(this).attr("data-id") },
            success: function (result) {
                $("#order-table tbody").append(result);
                Summary();
            }
        })
    });

    $(".btn-search").click(function () {
		$.ajax({
			url: '@Url.Action("ProductListOrder", "Product")',
            type: 'get',
            data: { search: $("#txt-search").val() },
			success: function (result) {
				$(".modal-body").html(result);
			}
		});
    });
</script>
